package main

import "fmt"

type Kek interface {
	lol()
	azaza()
}

type Test struct {
	x,y string
}

func(t Test) lol() {
	fmt.Printf("I am lol method - %s\n",t.x)
}

func(t Test) azaza() {
	fmt.Printf("I am azaza method %s\n",t.y)
}

var _ Kek = (&Test{})

func main() {
	t := Test{
		x: "one",
		y: "two",
	}
	t.lol()
	t.azaza()
}
